package cn.zhangdeman.logger;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

// 各种日志实例获取, 配置是需要按照相关枚举值配置
public class LoggerInstance {
    /**
     * 请求输入日志记录实例
     */
    public static final Logger REQUEST_INPUT_LOGGER = LoggerFactory.getLogger(LogTypeEnum.REQUEST_INPUT.getLogType());
    /**
     * 请求响应日志实例
     */
    public static final Logger REQUEST_OUTPUT_LOGGER = LoggerFactory.getLogger(LogTypeEnum.REQUEST_OUTPUT.getLogType());
    /**
     * 数据库sql记录
     */
    public static final Logger DATABASE_RECORD_LOGGER = LoggerFactory.getLogger(LogTypeEnum.DATABASE_RECORD.getLogType());
    /**
     * 缓存记录
     */
    public static final Logger CACHE_RECORD_LOGGER = LoggerFactory.getLogger(LogTypeEnum.CACHE_RECORD.getLogType());
    /**
     * 消息队列记录
     */
    public static final Logger MESSAGE_RECORD_LOGGER = LoggerFactory.getLogger(LogTypeEnum.MESSAGE_RECORD.getLogType());
    /**
     * 常驻后台任务日志记录
     */
    public static final Logger TASK_RECORD_LOGGER = LoggerFactory.getLogger(LogTypeEnum.TASK_RECORD.getLogType());
}
