package cn.zhangdeman.logger;

import ch.qos.logback.classic.spi.ILoggingEvent;
import cn.zhangdeman.consts.RecordField;
import cn.zhangdeman.context.RuntimeContext;
import com.fasterxml.jackson.core.JsonGenerator;

import java.io.IOException;

// 记录请求信息
public class ResponseInfoLogProvider extends BaseProvider {
    @Override
    public void writeTo(JsonGenerator gen, ILoggingEvent event) throws IOException {
        RuntimeContext runtimeContext = getCurrentRequest();
        if (null == runtimeContext) {
            // 非 http 请求不应该用到这个provider
            return;
        }
        // 请求输入日志
        writeCommonField(runtimeContext, gen, LogTypeEnum.REQUEST_OUTPUT.getLogType(), runtimeContext.getResponse().toString());
    }
}
