package cn.zhangdeman.logger;

import lombok.Getter;

@Getter
public enum LogTypeEnum {
    REQUEST_INPUT("input", "请求输入信息"),
    REQUEST_OUTPUT("output", "请求响应信息"),
    DATABASE_RECORD("database", "数据库日志记录"),
    CACHE_RECORD("cache", "缓存日志记录"),
    API_RECORD("api", "第三方接口请求"),
    MESSAGE_RECORD("message", "消息队列日志记录"),
    TASK_RECORD("task", "常驻后台任务日志"),
    ;
    private final String logType;
    private final String description;
    LogTypeEnum(String logType, String description) {
        this.logType = logType;
        this.description = description;
    }
}
